Skip to main content
`Ctrl`+`K`

# DMPlexGetInterpolatePreferTensor

Get the flag to prefer tensor order when interpolating a cell

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetInterpolatePreferTensor(DM dm, PetscBool *preferTensor)

Not Collective

## Input Parameter

- dm - The `DMPLEX` object

## Output Parameter

- preferTensor - Flag to prefer tensor order

## Notes

Currently, this just affects triangular prisms,

## See Also

`DMPlexSetInterpolatePreferTensor()`, `DMPLEX`, `DMPlexInterpolate()`, `DMPlexIsInterpolatedCollective()`

## Level

intermediate

## Location

src/dm/impls/plex/plexinterpolate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages